set(YAML_CPP_VERSION_MAJOR "0")
set(YAML_CPP_VERSION_MINOR "2")
set(YAML_CPP_VERSION_PATCH "5")
set(YAML_CPP_VERSION "${YAML_CPP_VERSION_MAJOR}.${YAML_CPP_VERSION_MINOR}.${YAML_CPP_VERSION_PATCH}")

include_directories(include/yaml-cpp)
add_library(yaml-cpp
	src/aliascontent.cpp
	src/conversion.cpp
	src/emitter.cpp
	src/emitterstate.cpp
	src/emitterstate.h
	src/emitterutils.cpp
	src/emitterutils.h
	src/exp.cpp
	src/exp.h
	src/indentation.h
	src/iterator.cpp
	src/iterpriv.h
	src/ltnode.h
	src/map.cpp
	src/map.h
	src/node.cpp
	src/null.cpp
	src/ostream.cpp
	src/parser.cpp
	src/parserstate.cpp
	src/parserstate.h
	src/regex.cpp
	src/regex.h
	src/regeximpl.h
	src/scalar.cpp
	src/scalar.h
	src/scanner.cpp
	src/scanner.h
	src/scanscalar.cpp
	src/scanscalar.h
	src/scantag.cpp
	src/scantag.h
	src/scantoken.cpp
	src/sequence.cpp
	src/sequence.h
	src/setting.h
	src/simplekey.cpp
	src/stream.cpp
	src/stream.h
	src/streamcharsource.h
	src/stringsource.h
	src/tag.cpp
	src/tag.h
	src/token.h
)
